"use strict";
var _a, _b;
Object.defineProperty(exports, "__esModule", { value: true });
class SuperApp {
    static setReactSupport() {
        window.SuperApp = this;
    }
    static initial(key) {
        console.log("SuperApp is initialized with " + key);
    }
    static getInfo() {
        return {
            versionCode: 1,
            versionName: "1.0.0a",
            buildServer: "dev",
        };
    }
}
exports.default = SuperApp;
(() => {
    console.log("SuperApp is created");
})();
SuperApp.MiniApp = (_a = class {
        static open(miniAppId, versionCode, data) {
            console.log("miniapp opened.");
            return {
                result: true,
                message: "success|miniapp not exist"
            };
        }
        static getInfo(miniAppId) {
            return {
                result: true,
                message: "success|miniapp not exist",
                version: "1.0.4",
                name: "sale",
                displayName: "ขายสินค้า",
                lastUpdate: "2022-11-09T05:25:47Z"
            };
        }
        static requestShowOnCustomerDisplay(miniAppId, htmlPath, displaySize) {
            console.log("requestShowOnCustomerDisplay ***Ex. miniAppId = self ,htmlPath = index.html?p=1,displaySize = DISPLAY_ONE_THIRD");
        }
        static requestResizeCustomerDisplay(displaySize) {
            console.log("requestResizeCustomerDisplay ***Ex. DISPLAY_ONE_THIRD");
        }
        static broadcastDataToCustomerDisplay(data) {
            console.log("Broadcast with " + data);
        }
        static getData() {
            return "data request by call()";
        }
        static finish(data) {
            console.log("Finish activity and return data");
        }
    },
    _a.DISPLAY_FULL = 3,
    _a.DISPLAY_HALF = 2,
    _a.DISPLAY_ONE_THIRD = 1,
    _a.DISPLAY_HIDE = 0,
    _a.DISPLAY_DEFAULT = _a.DISPLAY_ONE_THIRD,
    _a);
SuperApp.Terminal = class {
    static getInfo() {
        return {
            terminalId: "1x121y",
            os: "Android",
            osVersion: "9",
            screenCount: 1,
            screenSize: [{ width: 1024, height: 768 }]
        };
    }
};
SuperApp.Store = class {
    static getInfo() {
        return {
            storeId: "12345",
            storeName: "storeName",
            language: "TH",
            companyId: "01",
        };
    }
};
SuperApp.User = class {
    static getInfo() {
        return {
            userId: "12345",
            userName: "userName",
        };
    }
};
SuperApp.Device = (_b = class {
    },
    _b.CashDrawer = class {
        static open(requestId) {
            console.log("Cash drawer is opened.");
            return true;
        }
        static getStatus() {
            return "open|close|undefined";
        }
        static setCashDrawerEventListener(listener) {
            SuperApp.Device.CashDrawer.listener = listener;
        }
    },
    _b.Printer = class {
        static print(printData) {
            console.log("printData =>", printData);
        }
        static setPrintingStatusListener(printingListener) {
            SuperApp.Device.Printer.printingListener = printingListener;
        }
        static getStatus() {
            return "normal|connect_fail|out_of_paper|undefined";
        }
        static setPrinterStatusListener(statusListener) {
            SuperApp.Device.Printer.statusListener = statusListener;
        }
    },
    _b);
